This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 957737

Summary: cups-1.7-0.1.b1.fc20 is FTBFS on ARM
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: cupsAssignee: Tim Waugh <twaugh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jpopelka, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-03 01:46:54 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 245418    

Description Peter Robinson 2013-04-29 08:28:17 EDT
http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=1205

Main error looks to be:

2271:22: warning: unused variable 'addrlist' [-Wunused-variable]
     http_addrlist_t *addrlist, /* List of addresses */
                      ^
ipp.c: In function 'ippAddStringfv':
ipp.c:1213:18: error: wrong type argument to unary exclamation mark
       !format || !ap)
                  ^
In file included from cups-private.h:29:0,
                 from ipp-support.c:43:
http-private.h:172:1: warning: 'gnutls_session' is deprecated [-Wdeprecated-declarations]
 typedef gnutls_session http_tls_t;
 ^
ipp.c: In function 'ippSetStringfv':
ipp.c:4452:18: error: wrong type argument to unary exclamation mark
       !format || !ap)
                  ^
http-private.h:175:1: warning: 'gnutls_transport_ptr' is deprecated [-Wdeprecated-declarations]
 extern ssize_t _httpReadGNUTLS(gnutls_transport_ptr ptr, void *data,
 ^
http-private.h:177:1: warning: 'gnutls_transport_ptr' is deprecated [-Wdeprecated-declarations]
 extern ssize_t _httpWriteGNUTLS(gnutls_transport_ptr ptr, const void *data,
 ^
ipp.c: At top level:
cc1: warning: unrecognized command line option "-Wno-tautological-compare" [enabled by default]
make[1]: *** [ipp.o] Error 1
make[1]: *** Waiting for unfinished jobs....
http-support.c: At top level:
cc1: warning: unrecognized command line option "-Wno-tautological-compare" [enabled by default]
cc1: warning: unrecognized command line option "-Wno-tautological-compare" [enabled by default]
http.c: At top level:
cc1: warning: unrecognized command line option "-Wno-tautological-compare" [enabled by default]
make[1]: Leaving directory `/builddir/build/BUILD/cups-1.7b1/cups'
make: *** [all] Error 1
Comment 1 Jiri Popelka 2013-04-29 10:09:27 EDT
(In reply to comment #0)
> ipp.c:1213:18: error: wrong type argument to unary exclamation mark
>        !format || !ap)

Problem is in applying an unary operator "!" to a non scalar type (va_list ap).
va_list is probably pointer on other architectures.

Anyway it seems we can simply drop the check.
There was the same problem with gnupg2-2.0.5 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=437289) and the latest code does not contain the check anymore.

It builds ok now:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1072494

Just needs to be reported upstream once cups.org is up again.
Comment 2 Peter Robinson 2013-05-01 16:08:24 EDT
Any update on getting this fix landed?
Comment 3 Jiri Popelka 2013-05-02 03:12:20 EDT
It's been there for 3 days now.
http://pkgs.fedoraproject.org/cgit/cups.git/commit/?id=47fb896364e1a8d8109748d5dfb16e79feaab4dd

Do you need anything else ?
Comment 4 Peter Robinson 2013-05-03 01:46:54 EDT
> Do you need anything else ?

Sorry, I missed the mainline build, Fixed thanks.